<?php

declare(strict_types=1);

namespace KupShop\ReturnsBundle\Deliveries;

use KupShop\ReclamationsBundle\Entity\ReclamationEntity;
use KupShop\ReturnsBundle\Deliveries\Utils\ReturnDelivery;
use KupShop\ReturnsBundle\Entity\ReturnEntity;
use KupShop\ReturnsBundle\Page\OwnReturnDeliveryPage;

class OwnReturnDelivery extends ReturnDelivery
{
    protected string $name = 'Vlastní';
    public string $defaultIcon = '../../common/static/deliveries/osobni-odber.svg';

    /**
     * @required
     */
    public function setPage(OwnReturnDeliveryPage $page): void
    {
        $this->page = $page;
    }

    public function getBaseLabelData(ReturnEntity|ReclamationEntity $entity): array
    {
        return [
            'package_label' => $entity->getCode(),
        ];
    }
}
